summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-07-10 12:55:09 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-07-10 12:55:09 +0000
commit502653e01d460db823f4b17247e4ff8f62a3a4af (patch)
tree7c2867dd4f7f4f2ceec1cb814406db665b492718 /dev-python
parent1a15230e9cdd868228c8f0939496c02e4046976a (diff)
downloadbaldeagleos-repo-502653e01d460db823f4b17247e4ff8f62a3a4af.tar.gz
baldeagleos-repo-502653e01d460db823f4b17247e4ff8f62a3a4af.tar.xz
baldeagleos-repo-502653e01d460db823f4b17247e4ff8f62a3a4af.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/aesara/Manifest1
-rw-r--r--dev-python/aesara/aesara-2.7.5.ebuild92
-rw-r--r--dev-python/ecdsa/Manifest1
-rw-r--r--dev-python/ecdsa/ecdsa-0.18.0.ebuild34
-rw-r--r--dev-python/pdm-pep517/Manifest3
-rw-r--r--dev-python/pdm-pep517/pdm-pep517-1.0.0.ebuild58
-rw-r--r--dev-python/pdm-pep517/pdm-pep517-1.0.2.ebuild (renamed from dev-python/pdm-pep517/pdm-pep517-0.12.7.ebuild)0
-rw-r--r--dev-python/toolz/Manifest1
-rw-r--r--dev-python/toolz/toolz-0.12.0.ebuild27
9 files changed, 157 insertions, 60 deletions
diff --git a/dev-python/aesara/Manifest b/dev-python/aesara/Manifest
index 3b5625be71d1..745fdf66260a 100644
--- a/dev-python/aesara/Manifest
+++ b/dev-python/aesara/Manifest
@@ -2,3 +2,4 @@ DIST aesara-rel-2.6.6.tar.gz 7847814 BLAKE2B e4edd575d49f548fab0ef971dbab88beeb4
DIST aesara-rel-2.7.0.gh.tar.gz 7854953 BLAKE2B 0daee9dcad9c39d1eddd469930cb540369f9463f947d706691fe1552b8e39340743aa8d8a809fe8b7943bba253ef1b93018738ca13be7147114ab6cf77a3ee37 SHA512 b03a182f366624b496bee46b86d43c68b94d840503317af74113bd5b1c6fefc31e4e4d96d6c5dd129212904729127da949cebf05c5a162711d3872e1747c93a8
DIST aesara-rel-2.7.1.gh.tar.gz 7857341 BLAKE2B edc31030810ec4193901d258c8666080219befccca17bc6165968f959bd57661f92de86720561ab54266906e2be1a83e0fef3e81a62c2810f0b78cda1dbc5265 SHA512 85a4b24a5f58cbb95db448d01140ff64f9ea39242b204a49ddbb2ff8827a16d0ba454764ed3ce9d2b6ed58a7494c452cda39582ae89691d44d8f91ec43e1f50d
DIST aesara-rel-2.7.3.gh.tar.gz 7918433 BLAKE2B 5f0eaa5cb241db3fb59bfd5fda0566811cb72e5dc902e15aaa269aa5fea35be1c5c51ef7515a386aa9cb20f769ad793a005e85e9b14d10b8be046788842ee496 SHA512 ffd1a830b69196537c62b21d6307f6d0f0a93f0a23fb0bacbf17934d2e5a454a93d72d33d0e28eec6b49e917770df5fc43134453e0bf1bd8433ee52ce22935be
+DIST aesara-rel-2.7.5.gh.tar.gz 7920343 BLAKE2B 04f7c1cf587799b915a54067a98608cee49de8ab8a50c6d8434aa7ad6bd27b547f9e4a4f71d459d8fca9805f97232a9ba4a1beb5240a8e89dd19f807da2b2957 SHA512 c68dc6e2893d2749d6ec3a74b850979f0766ac65c34bf07af3c0f1a16874e44f5102e1d036a88a7a43f51a44d3fffd65babf67373982362b034a2410124d4aad
diff --git a/dev-python/aesara/aesara-2.7.5.ebuild b/dev-python/aesara/aesara-2.7.5.ebuild
new file mode 100644
index 000000000000..f42336363f6c
--- /dev/null
+++ b/dev-python/aesara/aesara-2.7.5.ebuild
@@ -0,0 +1,92 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing optfeature
+
+MY_P=aesara-rel-${PV}
+DESCRIPTION="Library for operating on mathematical expressions with multi-dimensional arrays"
+HOMEPAGE="
+ https://github.com/aesara-devs/aesara/
+ https://pypi.org/project/aesara/
+"
+SRC_URI="
+ https://github.com/aesara-devs/aesara/archive/rel-${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/cons[${PYTHON_USEDEP}]
+ dev-python/etuples[${PYTHON_USEDEP}]
+ dev-python/logical-unification[${PYTHON_USEDEP}]
+ dev-python/minikanren[${PYTHON_USEDEP}]
+ dev-python/filelock[${PYTHON_USEDEP}]
+ <dev-python/numpy-1.23[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/aesara-2.6.5-compiledir-tid.patch
+)
+
+distutils_enable_sphinx doc 'dev-python/sphinx_rtd_theme'
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # speed tests are unreliable
+ tests/scan/test_basic.py::test_speed
+ tests/scan/test_basic.py::test_speed_rnn
+ tests/scan/test_basic.py::test_speed_batchrnn
+ tests/link/test_vm.py::test_speed
+ tests/link/test_vm.py::test_speed_lazy
+ tests/tensor/test_gc.py::test_merge_opt_runtime
+
+ # rounding problem?
+ # https://github.com/aesara-devs/aesara/issues/477
+ tests/tensor/test_math_scipy.py::TestGammaUBroadcast::test_good
+ tests/tensor/test_math_scipy.py::TestGammaUInplaceBroadcast::test_good
+ )
+ local EPYTEST_IGNORE=(
+ # we do not package numba
+ tests/link/test_numba.py
+ tests/link/test_numba_performance.py
+ # ..or jax
+ tests/link/test_jax.py
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x AESARA_FLAGS="cxx=${CXX}"
+ AESARA_FLAGS+=",config.gcc__cxxflags=\"${CXXFLAGS}\""
+ AESARA_FLAGS+=',compiledir_format="compiledir_%(thread_id)s"'
+
+ epytest -p xdist.plugin -n "$(makeopts_jobs)"
+ # clean up the compiledir, as it can grow pretty large
+ rm -r "${HOME}"/.aesara || die
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ rm "${BUILD_DIR}/install$(python_get_sitedir)/bin/__init__.py" || die
+}
+
+pkg_postinst() {
+ optfeature "GPU code generation/execution on NVIDIA gpus" dev-util/nvidia-cuda-toolkit dev-util/nvidia-cuda-sdk
+ optfeature "GPU/CPU code generation on CUDA and OpenCL devices" dev-libs/libgpuarray dev-python/pycuda
+}
diff --git a/dev-python/ecdsa/Manifest b/dev-python/ecdsa/Manifest
index 546806a7d470..412493463bd7 100644
--- a/dev-python/ecdsa/Manifest
+++ b/dev-python/ecdsa/Manifest
@@ -1 +1,2 @@
DIST ecdsa-0.17.0.tar.gz 158486 BLAKE2B 45a27aaf362853bd39052a78a7f86b6d2fd220c165724b088cc5285977013b354f5373bcf8295258e9121da2fe6a4b79625afbc097cca756c688afbd542f647c SHA512 23acf993ce4f7f832674a3b70ab870c20172816e27adc836d4c6a876e72a488a830895d63ab6af67cc7cbc83c71f7097d0d530bf67d24c84e69e9fa87031f6fd
+DIST ecdsa-0.18.0.tar.gz 197938 BLAKE2B d4f55591d58a998e69c070983d6cc45720677f83dc6149bd95938c79391df85fe5ce8fe059e961d23b8334d9ac4ef4972bff91a6e9537affc9ddd75c7cbce4f7 SHA512 f26dbeccd8e6ec832405d419b7244ca97b43a2811513493913a4f2f2fd1d2f453068fe0ba7b90b972f42a0d7b9834212fbd4d4559475cffeb1d80075fa954d78
diff --git a/dev-python/ecdsa/ecdsa-0.18.0.ebuild b/dev-python/ecdsa/ecdsa-0.18.0.ebuild
new file mode 100644
index 000000000000..dd0326093a2f
--- /dev/null
+++ b/dev-python/ecdsa/ecdsa-0.18.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="ECDSA cryptographic signature library in pure Python"
+HOMEPAGE="
+ https://github.com/tlsfuzzer/python-ecdsa/
+ https://pypi.org/project/ecdsa/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-macos ~x64-macos"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/gmpy[${PYTHON_USEDEP}]
+ ' 'python*')
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/pdm-pep517/Manifest b/dev-python/pdm-pep517/Manifest
index bb5e469f4856..e4b3ed5e2496 100644
--- a/dev-python/pdm-pep517/Manifest
+++ b/dev-python/pdm-pep517/Manifest
@@ -1,3 +1,2 @@
-DIST pdm-pep517-0.12.7.gh.tar.gz 304959 BLAKE2B 0571a77803b999f88f38da843c5fcf126eeb538c6812c3e245be2fc14d6cd19929559985efba2d245bbf0efb00e412b2133fca6bbe9e63317e6b7311867e0072 SHA512 45da8ab31071a57062fac5b89abe7d912d787d647eda1b45fe3941c43687fe0fe5c8d11e539290035375e17eef808489000513e3128708fcefd851e792757b8f
-DIST pdm-pep517-1.0.0.gh.tar.gz 307117 BLAKE2B 6af1cbeb10bfcf040aaaaf60535d660c00ad84f0a186b508112e224df7eed417ce97ec1bdbf2764549172ecbededf4e9b17b6ae915b71599f04d09f2103c0a7c SHA512 cb8c02af8c4f00cf68e6379c2e93aa0ab7d30f4405debb62f7c46afc10596ab440128f1a7444fe6989d5eafb462bbbe0cfc83325bc1aba92268498a3d96332e8
DIST pdm-pep517-1.0.1.gh.tar.gz 307357 BLAKE2B f833179b0ea011c4304625f08d3eca85b17163d4af6144f72e6faa2fe1091f9607f53ae051fca4e837009c3132ad6f06ae69cc5288ca8731ffb1ff2ef555d0d0 SHA512 7d90829a351e95f7b53f53d356a60cb170036059f5e6311df46989253b33f126f384a93cd6aa22c95b1ec7aa501e13773ccafabbb41e5237e84537b73dc43f58
+DIST pdm-pep517-1.0.2.gh.tar.gz 307938 BLAKE2B 711cc77c4ec4a3002557b5537c931215254d6fd724bf80f5457750100d55aba580b0f5fdbf8b17a31e5b02b42a94b62bc72eb99693fb59c3ab76364666b51b15 SHA512 bb827a6130299acab18714c7380f81fa530b95e3bc1e78bca810c116472269f050df45d04ef69d90a1ad96dd6bc965a50edc01bc9c429b96eefb76d62c66b8ae
diff --git a/dev-python/pdm-pep517/pdm-pep517-1.0.0.ebuild b/dev-python/pdm-pep517/pdm-pep517-1.0.0.ebuild
deleted file mode 100644
index 773c078ae24f..000000000000
--- a/dev-python/pdm-pep517/pdm-pep517-1.0.0.ebuild
+++ /dev/null
@@ -1,58 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=standalone
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="A PEP 517 backend for PDM that supports PEP 621 metadata"
-HOMEPAGE="
- https://pypi.org/project/pdm-pep517/
- https://github.com/pdm-project/pdm-pep517/
-"
-SRC_URI="
- https://github.com/pdm-project/pdm-pep517/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
-
-RDEPEND="
- >=dev-python/cerberus-1.3.4[${PYTHON_USEDEP}]
- dev-python/license-expression[${PYTHON_USEDEP}]
- >=dev-python/packaging-21.0[${PYTHON_USEDEP}]
- >=dev-python/tomli-2[${PYTHON_USEDEP}]
- dev-python/tomli-w[${PYTHON_USEDEP}]
-"
-BDEPEND="
- ${RDEPEND}
- test? (
- dev-vcs/git
- )
-"
-# setuptools are used to build C extensions
-RDEPEND+="
- dev-python/setuptools[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-
-src_prepare() {
- rm -r pdm/pep517/_vendor || die
- find -name '*.py' -exec sed \
- -e 's:from pdm\.pep517\._vendor\.:from :' \
- -e 's:from pdm\.pep517\._vendor ::' \
- -i {} + || die
- distutils-r1_src_prepare
-}
-
-src_test() {
- git config --global user.email "test@example.com" || die
- git config --global user.name "Test User" || die
- distutils-r1_src_test
-}
diff --git a/dev-python/pdm-pep517/pdm-pep517-0.12.7.ebuild b/dev-python/pdm-pep517/pdm-pep517-1.0.2.ebuild
index 773c078ae24f..773c078ae24f 100644
--- a/dev-python/pdm-pep517/pdm-pep517-0.12.7.ebuild
+++ b/dev-python/pdm-pep517/pdm-pep517-1.0.2.ebuild
diff --git a/dev-python/toolz/Manifest b/dev-python/toolz/Manifest
index cf8b89888acb..488ee52ec49f 100644
--- a/dev-python/toolz/Manifest
+++ b/dev-python/toolz/Manifest
@@ -1 +1,2 @@
DIST toolz-0.11.2.tar.gz 65928 BLAKE2B 3a2baddae437272e8f3efb665b63df127b3ec6bc2a68f3381651a1a3a3b45e4de6e575a328306fac95e9261228ee91193effd4aeca8d115f1608cb2561d50f13 SHA512 67e8aaea3f9fb8811027f19aa9cf56ab980e4f9cea43978ed9515662c78a7bea12314054b2c26da483b055382d4b080125c011fc43bc48b0965a6ff8415f7168
+DIST toolz-0.12.0.tar.gz 66264 BLAKE2B a68bd895a4d500baebae02dce389adabbebe3eaa103ed2753ebd42d84dba54d9ef0b1467738b6a2eed14af24e197a12ef6b6c6907bcf4633252256793e1eac5f SHA512 6c1376f978a1ab469a6fcca9a5ccaf8b8f1bdf92e4484ff0bad947d6727f390ed6571426070a81a0e123725269043ded28294e57921bde2bb9ff87b048a5405f
diff --git a/dev-python/toolz/toolz-0.12.0.ebuild b/dev-python/toolz/toolz-0.12.0.ebuild
new file mode 100644
index 000000000000..d12f1e72be89
--- /dev/null
+++ b/dev-python/toolz/toolz-0.12.0.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="List processing tools and functional utilities"
+HOMEPAGE="
+ https://github.com/pytoolz/toolz/
+ https://pypi.org/project/toolz/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}